# std::subtract_with_carry_engine::discard

From cppreference.com
< cpp‎ | numeric‎ | random‎ | subtract with carry engine

void discard( unsigned long long z ); |  | (since C++11)

Advances the internal state by `z` times. Equivalent to calling operator() `z` times and discarding the result

### Parameters

z | - | integer value specifying the number of times to advance the state by

### Return value

(none)

### Complexity

| This section is incomplete

### Notes

For some engines, "fast jump" algorithms are known, which advancing the state by many steps (order of millions) without calculating intermediate state transitions.

### See also

operator() | advances the engine's state and returns the generated value (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/subtract_with_carry_engine/discard&oldid=51034"
Category:

- Todo without reason